Package de.willuhn.jameica.hbci.synchronize.hbci

# Class HBCITraceMessage

java.lang.Object
de.willuhn.jameica.hbci.synchronize.hbci.HBCITraceMessage

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.Message`

public class HBCITraceMessage extends Object implements de.willuhn.jameica.messaging.Message
Wird zum Tracen der rohen HBCI-Nachrichten verwendet.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`HBCITraceMessage.Type`
Der Typ der Message.

## Constructor Summary

Constructors
Constructor
Description
`HBCITraceMessage(HBCITraceMessage.Type type, String data)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
Liefert den Payload der Message.
`HBCITraceMessage.Type`
`getType()`
Liefert den Typ der Message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCITraceMessage

public HBCITraceMessage(HBCITraceMessage.Type type, String data)
ct.

Parameters:
  `type` -
  `data` -

## Method Details

### getData

public String getData()
Liefert den Payload der Message.

Returns:
  der Payload der Message.

### getType

public HBCITraceMessage.Type getType()
Liefert den Typ der Message.

Returns:
  der Typ der Message.